Bug 19546 - скрипт /usr/sbin/vznetaddbr не "поднимает" интефейс в HN
: скрипт /usr/sbin/vznetaddbr не "поднимает" интефейс в HN
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vzctl)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-04-09 09:04 by
Modified: 2009-04-11 04:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-04-09 09:04:51
Вместо конструкции 'ip addr add 0 dev "$host_ifname"' в скрипте vznetaddbr
необходимо использовать 'ip link set dev "$host_ifname". 'ip addr add...' не
переводит интерфейс в состояние UP, в отличие от 'ip link ...' и 'ifconfig
"$host_ifname" 0' (изначальный вариант идеи с поднятием интерфейса в HN).
------- Comment #1 From 2009-04-09 12:56:21 -------
Вернее, 'ip link set dev "$host_ifname" up'.
------- Comment #2 From 2009-04-10 05:44:29 -------
vzctl-3.0.23-alt3 -> sisyphus:

* Fri Apr 10 2009 Dmitry V. Levin <ldv@altlinux.org> 3.0.23-alt3

- Updated to vzctl-3.0.23-21-g2b97841.
- vznetaddbr: Fixed iface init code (Dmitry Lebkov; closes: #19546).
- vzmigrate (RSYNC_OPTIONS): Added -A -X options, made it redefinable
  (Vladimir Kamarzin; closes: #17870, #17871).
------- Comment #3 From 2009-04-10 05:59:27 -------
vzctl-3.0.23-alt3 -> 5.0:

* Fri Apr 10 2009 Dmitry V. Levin <ldv@altlinux.org> 3.0.23-alt3

- Updated to vzctl-3.0.23-21-g2b97841.
- vznetaddbr: Fixed iface init code (Dmitry Lebkov; closes: #19546).
- vzmigrate (RSYNC_OPTIONS): Added -A -X options, made it redefinable
  (Vladimir Kamarzin; closes: #17870, #17871).